View Issue Details

IDProjectCategoryView StatusLast Update
0003863unrealircdpublic2009-11-22 13:30
ReporterohnobinkiAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platformamd64OSGentooOS Version2.0
Product Version3.2.8 
Target VersionFixed in Version3.2.9-RC1 
Summary0003863: run-time configuration of files (tune, pid, motd)
DescriptionThe locations of files such as the tunefile, pidfile, and *motd should be runtime-configurable.
Additional InformationBenefits:
*Distribution-installed copies of UnrealIRCD can be used by users more easily
*Multiple servers can be run based off of one set of ircd and module binaries

The attached patch can also be viewed at http://ohnopublishing.net/gitweb/unrealircd.ohno.git?a=commitdiff;h=edf2dfc246c1c8452d946f23fb05cea4f6b0d2d7 .
It adds an optional files:: section to unrealircd.conf. It allows reconfiguration of the locations of *motd, tunefile, pidfile, and rules. The only downside of this patch I _know of atm_ is that it doesn't update the file locations displayed in the win32 GUI when /rehash-ing.
TagsNo tags attached.
3rd party modules

Relationships

related to 0003698 closed Configurable Pid 
related to 0003034 closed Remote MOTD / RULES (like remote includes) 
child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

2009-08-02 18:01

 

unreal3.2.8.1_files_0.patch (22,843 bytes)

ohnobinki

2009-09-15 02:06

reporter   ~0015931

I added some sample docs for the file block.

Preview: http://ohnopub.net/gitweb/unrealircd.ohno.git?a=blob_plain;f=doc/unreal32docs.html;hb=a6daa1f9b9f7e9dad614c07c01fc691e94b3a24f

Patch: http://ohnopub.net/gitweb/unrealircd.ohno.git?a=commitdiff_plain;h=a6daa1f9b9f7e9dad614c07c01fc691e94b3a24f

syzop

2009-11-22 13:30

administrator   ~0015959

Seemed like an awful lot of work, code looks well tested & clean, good job :).
Patch applied as-is, and is now in CVS (.772).

- Applied patch from ohnobinki (0003863) which makes run-time configuration
  of files (tune, pid, motd) possible.

Issue History

Date Modified Username Field Change
2009-08-02 18:01 ohnobinki New Issue
2009-08-02 18:01 ohnobinki File Added: unreal3.2.8.1_files_0.patch
2009-09-15 02:06 ohnobinki Note Added: 0015931
2009-09-30 14:16 syzop Relationship added child of 0003776
2009-10-13 22:22 Stealth Relationship added related to 0003698
2009-11-22 13:30 syzop QA => Not touched yet by developer
2009-11-22 13:30 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-11-22 13:30 syzop Note Added: 0015959
2009-11-22 13:30 syzop Status new => resolved
2009-11-22 13:30 syzop Fixed in Version => 3.2.9-RC1
2009-11-22 13:30 syzop Resolution open => fixed
2009-11-22 13:30 syzop Assigned To => syzop
2010-05-30 20:03 ohnobinki Relationship added related to 0003034